# Final Beta

A (Cursed) Fabric mod for Minecraft Beta 1.7.3 that adds some quality of life changes and fixes some issues.

**There's a very high change this mod will not work in multiplayer, as of right now it is purely for singleplayer**

You can change what fixes get applied using the config found in one of the following paths:

| OS 	| Location |
|-------|----------|
| Windows | %appdata%/.minecraft/config/finalbeta.toml |
| Linux | ~/.minecraft/config/finalbeta.toml |
| macOS | ~/Library/Application Support/minecraft/config/finalbeta.toml |

Note that if you're using something like MultiMC or any of its derivates the folder will be in a different location, in those instances simply right click on your profile and click on "Folder", this will open the location where you can find the .minecraft folder and follow the path from above.

## List of changes

### Quality of Life changes

<details><summary>Sugar canes can now be places on sand</summary>

![sugar cane on sand](https://i.imgur.com/N7WjSx8.png)

</details>

<details><summary>More sounds</summary>

- Opening / closing chests
- Minecarts
- Items breaking

**Note: The mod doesn't add any sounds by itself, all of these sounds are already present in your "resources" folder, they are automatically downloaded by Minecraft itself**

</details>

<details><summary>Adds Clouds toggle in Video Settings</summary>

<video controls src="https://i.imgur.com/MUmqtmM.mp4" />

</details>

### Fixes

<details><summary>Fixes selected blocks being rendered under text in containers</summary>

Before:
![blocks being rendered under container text](https://i.imgur.com/jaGMYZy.png)

After:
![blocks being rendered above container text](https://i.imgur.com/giD9ZTm.png)

</details>

<details><summary>Fixes the death screen's &e0 message</summary>

Before:
![death screen displaying &e0](https://i.imgur.com/HHLeOhs.png)

After:
![death screen displaying a yellow score of 0](https://i.imgur.com/rTHeTOk.png)

**Note: Score will always be 0 as nothing gives score in this version** 
</details>

<details><summary>Made bows bigger and facing the right direction</summary>

Before:
![player holding a bow](https://i.imgur.com/dRgyr7G.png)

After:
![player holding a bow](https://i.imgur.com/9dgxRej.png)

Also slightly update the skeleton's model to better hold the bow

Before:
![skeleton holding a bow](https://i.imgur.com/4Pqe3pk.png)

After:
![skeleton holding a bow](https://i.imgur.com/SIDJBYI.png)

</details>

<details><summary>Updated list of blocks that pickaxes and axes can mine quicker</summary>

**Extra pickaxe blocks:**
- Cobblestone stairs
- Redstone ore
- Iron door
- Bricks
- Furnaces
- Dispensers
- Stone pressure plates
- Rails
- Detector rails
- Powered rails
- Pistons
- Sticky pistons

**Extra axe blocks:**
- Wooden stairs
- Door
- Pressure plates
- Jukebox
- Note blocks
- Pumpkins
- Signs
- Trapdoors
- Ladders
- Crafting tables
- Fences

</details>

<details><summary>Stairs will now drop themselves rather than cobble/planks</summary>

Before:<br>
<video controls src="https://i.imgur.com/QSq8E8m.mp4" />

After:<br>
<video controls src="https://i.imgur.com/l5arDtA.mp4" />

</details>

<details><summary>Fixes leg armor not being updated while riding</summary>

Before:<br>
<video controls src="https://i.imgur.com/UX9nfs8.mp4" />

After:<br>
<video controls src="https://i.imgur.com/khlHpop.mp4" />

Before:
![player's leg armor not updating its rotation according to the player's legs](https://i.imgur.com/Vx8GAtV.png)

After:
![player's leg armor correctly updating its rotation according to the player's legs](https://i.imgur.com/eHppgk9.png)

</details>

<details><summary>Fixes fishes going above the player's head</summary>

Before:<br>
<video controls src="https://i.imgur.com/jrjL1tW.mp4" />

After:<br>
<video controls src="https://i.imgur.com/5JPT81N.mp4" />

</details>

<details><summary>Fixes Minecarts hardstopping when hitting arrows or dropped items on tracks</summary>

Before:<br>
<video controls src="https://i.imgur.com/5hICLc2.mp4" />

After:<br>
<video controls src="https://i.imgur.com/Hf9X8HM.mp4" />

</details>

<details><summary>Fixes Minecarts flickering while moving</summary>

Before:<br>
<video controls src="https://i.imgur.com/cBUIE5n.mp4" />

After:<br>
<video controls src="https://i.imgur.com/vZGhuos.mp4" />

</details>

<details><summary>Fixes torches (and redstone torches) not having a bottom texture</summary>

Before:
![torches without a bottom texture](https://i.imgur.com/pueAKg3.png)

After:
![torches with a bottom texture](https://i.imgur.com/pBmy6UX.png)

</details>

<details><summary>Fixes saddled pigs not dropping their saddles on death</summary>

Before:
<video controls src="https://i.imgur.com/PVLRNn5.mp4"/>

After:
<video controls src="https://i.imgur.com/0yHHfxB.mp4" />

</details>

<details><summary>Fixes furnaces consuming the buckets as well when using lava buckets</summary>

Before:
<video controls src="https://i.imgur.com/BY0t3iG.mp4"/>

After:
<video controls src="https://i.imgur.com/4O7Fo8V.mp4" />

</details>

## Troubleshooting

**Q: My achievements screen is all messed up**
A: Its very likely you have the Cursed Legacy API installed, you do not need it for this mod to work and it might cause more problems by itself

**Q: Entities and items don't seem to burn**
A: Check the above answer